%define anolis_release 2
%global debug_package   %{nil}

Name:           golist
Version:        0.10.1
Release:        %{anolis_release}%{?dist}
Summary:        A tool to analyse the properties of a Go (Golang) codebase

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://pagure.io/golist
Source0:        https://pagure.io/golist/archive/v%{version}/golist-%{version}.tar.gz
Source1: 	vendor.tar.gz

Patch0001: 	0001-make-the-go-build-files.patch

BuildRequires: golang

%description
A tool to analyse the properties of a Go (Golang) codebase.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n golist-%{version} -p1 -a1

%build
for cmd in cmd/* ;do
  go build -mod=vendor -o %{gobuilddir}/bin/`basename $cmd` $cmd/*
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%generate_compatibility_deps

%files
%license LICENSE
%{_bindir}/*
%dir %{abidir}
%{abidir}/golist-option.list

%files doc
%doc README.md NEWS.md

%changelog
* Thu Dec 28 2023 happy_orange <songnannan@linux.alibaba.com> - 0.10.0-2
- fix the source error

* Mon Apr 10 2023 happy_orange <songnannan@linux.alibaba.com> - 0.10.0-1
- init package

